Subject: view-lossage puts keys in my mouth that I never typed

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Tue, 23 Feb 2021 20:15:39 +0800

I typed "W C-h" eight times.
The first four in gnus' summary buffer,
the  last four in gnus' article buffer.

 <return>		;; gnus-group-select-group
 <return>		;; exit-minibuffer
 W C-h			;; describe-prefix-bindings
 W C-h			;; describe-prefix-bindings
 W C-h			;; describe-prefix-bindings
 W C-h			;; describe-prefix-bindings
 <return>		;; gnus-summary-scroll-up
 h			;; gnus-summary-select-article-buffer
 W			;; gnus-article-read-summary-keys
 W C-h W		;; gnus-article-read-summary-keys
 W C-h W		;; gnus-article-read-summary-keys
 W C-h W		;; gnus-article-read-summary-keys
 W C-h C-h l		;; view-lossage

As we see, view-lossage is "stuffing keys in my mouth in front of the judge."
I never ever typed W C-h W, ever. emacs-version "27.1"

(By the way, those last four also gave an empty list, even though many W
prefix keys work fine there.)

(info "(emacs) Misc Help"):

   If something surprising happens, and you are not sure what you typed,
                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
   use ‘C-h l’ (‘view-lossage’).  ‘C-h l’ displays your last 300 input
   keystrokes...

view-lossage is an interactive compiled Lisp function in ‘help.el’...

   Display last few input keystrokes and the commands run.
                ^^^=300?!